Subject: 26.0.50; comment-region goes into an infinite loop

From: Dima Kogan <[email-masked]>
Date: Wed, 04 Jan 2017 15:37:25 -0800

Hi. I'm using a very recent emacs built from master:

  eb3416016b4

I'm observing (comment-region) go into an infinite loop when presented
with particular data. I'm attaching a small source file that
demonstrates the issue. To see it break, run this:

    emacs --eval '(add-hook (quote c-mode-common-hook) (lambda () (setq comment-start "//" comment-end "")))'  \
          --eval '(global-set-key (kbd "<f5>") (lambda () (interactive) (comment-region 16 45)))'              \
          -Q tst6.c

This loads the demo file with a clean configuration, and runs two bits
of lisp:

1. Sets up a c++ commenting style. This is required for the issue to
   present itself

2. Binds f5 to run the problematic (comment-region)

On my machine, invoking emacs that way, and then hitting f5 shows the problem.

void f(void)
{

    g( // output
      s );

}